// creator  : weidu.exe (version 23100)
// argument : TRSKIN03.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TRSKIN03~

IF ~~ THEN BEGIN 0 // from: TRSKIN06:20.0
  SAY #44605 /* ~I... I knocked him out!  H-he... he was going to kill me!~ */
  IF ~~ THEN EXTERN ~TRSKIN06~ 21
END

IF ~~ THEN BEGIN 1 // from: TRSKIN06:21.0
  SAY #44607 /* ~Yes!  Kill him, please!!~ */
  IF ~~ THEN UNSOLVED_JOURNAL #16530 /* ~Helping Tiris in Trademeet

I have arrived at the lair Darsidian described, only to find that he entered it to save Raissa from being killed by Rejiek.  Rejiek lies unconscious, and Darsidian has asked me to kill him quickly before he awakens.  The skinless creature appears to be nowhere in sight.~ */ EXIT
END

IF ~Global("tannerplot2","GLOBAL",2)
!Dead("trskin01")~ THEN BEGIN 2 // from:
  SAY #44608 /* ~Wh-what do you want with me?!  Please!  You must go and kill that horrible man!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: TRSKIN06:26.0 TRSKIN06:24.0
  SAY #44616 /* ~Enough!  I can take no more of this!  Your plan was a moronic one, Darsidian!~ */
  IF ~~ THEN EXTERN ~TRSKIN06~ 25
END

IF ~~ THEN BEGIN 4 // from: TRSKIN06:25.0
  SAY #44618 /* ~I have no patience for it!  Let us kill them and take their skins... and we can announce my death anyway!  Come, it ends here!!~ */
  IF ~~ THEN DO ~CreateItem("MISC79",0,0,0)
DropItem("MISC79",[3755.1827])
SetGlobal("SkinWentHostile","GLOBAL",1)
ActionOverride("trskin06",CreateCreatureObject("TRSKIN3B",Myself,0,0,0))
ActionOverride("trskin06",ChangeAnimationNoEffect("TRSKIND2"))
ReallyForceSpell(Myself,SKIN_DANCER_RESTORE_2)
SmallWait(1)
ChangeAnimationNoEffect("TRSKIND1")
~ UNSOLVED_JOURNAL #22914 /* ~Helping Tiris in Trademeet

It appears that not all was as it seemed!  'Raissa' appears to be, in fact, Rejiek... who is also one of the skinless creatures.  So is Darsidian... this was all a set up to make me believe that Rejiek was finally dead!~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: TRSKIN06:27.0
  SAY #44624 /* ~Enough, Darsidian!  The hero will not slay her now!  I knew your plan was doomed to failure!  I should never have gone along with it!~ */
  IF ~~ THEN EXTERN ~TRSKIN06~ 25
END

IF ~Global("tannerplot2","GLOBAL",2)
Dead("trskin01")~ THEN BEGIN 6 // from:
  SAY #44626 /* ~Th-that's it, then?  He's dead, now, just like that?~ */
  IF ~~ THEN EXTERN ~TRSKIN06~ 28
END

IF ~~ THEN BEGIN 7 // from: TRSKIN06:31.0
  SAY #44637 /* ~Oh, that's good.  And... oh, <CHARNAME>, is it?  If you see my beloved Tiris... tell him that I will see him... soon.  Very soon.~ */
  IF ~~ THEN DO ~SetGlobal("tannerplot2","GLOBAL",4)
ActionOverride("trskin06",MoveToPointNoInterrupt([3662.2188]))
ActionOverride("trskin06",EscapeArea())
MoveToPointNoInterrupt([3662.2188])
EscapeArea()
~ UNSOLVED_JOURNAL #15965 /* ~Helping Tiris in Trademeet

I killed Rejiek easily enough.  Darsidian says he will escort Raissa home if I go to Tiris and tell him he is now safe.  Raissa bid me to tell him that she will see him soon.~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from: TRSKIN06:32.0
  SAY #44641 /* ~Idiot!  Idiot!~ */
  IF ~~ THEN EXTERN ~TRSKIN06~ 33
END

IF ~~ THEN BEGIN 9 // from: TRSKIN06:33.0
  SAY #44643 /* ~I should have known your plan was doomed, Darsidian!  Fake my death, eh?  Well... let us take these heroes' skins, and I can announce my death anyway.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #44644 /* ~Either way, it ends here!~ */
  IF ~~ THEN DO ~CreateItem("MISC79",0,0,0)
DropItem("MISC79",[3755.1827])
SetGlobal("SkinWentHostile","GLOBAL",1)
ActionOverride("trskin06",CreateCreatureObject("TRSKIN3B",Myself,0,0,0))
ActionOverride("trskin06",ChangeAnimationNoEffect("TRSKIND2"))
ReallyForceSpell(Myself,SKIN_DANCER_RESTORE_2)
SmallWait(1)
ChangeAnimationNoEffect("TRSKIND1")
~ UNSOLVED_JOURNAL #22914 /* ~Helping Tiris in Trademeet

It appears that not all was as it seemed!  'Raissa' appears to be, in fact, Rejiek... who is also one of the skinless creatures.  So is Darsidian... this was all a set up to make me believe that Rejiek was finally dead!~ */ EXIT
END

IF ~Global("Attacked","LOCALS",1)
~ THEN BEGIN 11 // from:
  SAY #44647 /* ~Bah!  I knew this plan of yours was doomed to failure, Darsidian!~ */
  IF ~~ THEN EXTERN ~TRSKIN06~ 34
END

IF ~~ THEN BEGIN 12 // from: TRSKIN06:34.0
  SAY #44650 /* ~We were not close at all, you fool!  If I wish to fake my death, it shall be in the skins of these heroes.  Come, then, let us take their flesh... it ends here!~ */
  IF ~~ THEN DO ~CreateItem("MISC79",0,0,0)
DropItem("MISC79",[3755.1827])
SetGlobal("SkinWentHostile","GLOBAL",1)
ActionOverride("trskin06",CreateCreatureObject("TRSKIN3B",Myself,0,0,0))
ActionOverride("trskin06",ChangeAnimationNoEffect("TRSKIND2"))
ReallyForceSpell(Myself,SKIN_DANCER_RESTORE_2)
SmallWait(1)
ChangeAnimationNoEffect("TRSKIND1")
~ UNSOLVED_JOURNAL #22914 /* ~Helping Tiris in Trademeet

It appears that not all was as it seemed!  'Raissa' appears to be, in fact, Rejiek... who is also one of the skinless creatures.  So is Darsidian... this was all a set up to make me believe that Rejiek was finally dead!~ */ EXIT
END
